package PrintGame;

/**
 *class contains the tag names which are used in the labyrinth XML file
 *
 */

public class TagName
{
  //Game XML
  public final static String LABYRINTHGAME = "LabyrinthGame";
  public final static String   DEFAULTLEVEl = "DefaultLevel";
  public final static String     WALLPICTURE = "WallPicture";
  public final static String     WAYPICTURE = "WayPicture";
  public final static String     ROBOTPICTURE = "RobotPicture";
  public final static String     DIAMONDPICTURE = "DiamondPicture";
  public final static String     STARTPICTURE = "StartPicture";
  public final static String   LEVELS = "Levels";
  public final static String     NUMLEVELS = "NumLevels";
  public final static String     LEVEL = "Level";
  public final static String       NUMBER = "Number";
  public final static String       FILE = "File";

  //Instruction XML
  public final static String    LABYRINTHINSTRUCTION = "LabyrinthInstruction";
  public final static String     INSTRUCTIONLIST = "InstructionList";
  public final static String      INSTRUCTION = "Instruction";
  public final static String       CONDITION = "Condition";
  public final static String         CONDSTATE = "CS";
  public final static String         CONDCELLMARK = "CCM";
  public final static String         WALLLEFT = "L";
  public final static String         WALLRIGHT = "R";
  public final static String         WALLAHEAD = "A";
  public final static String       ACTION = "Action";
  public final static String         ACTIONSTATE = "AS";
  public final static String         ACTIONCELLMARK = "ACM";
  public final static String         MOVINGDIRECTION = "MD";

  //LabyrinthLevel XML
  public final static String  LABYRINTHLEVEL = "LabyrinthLevel";
  public final static String    NAME = "Name";
  public final static String    INSTRUCTIONFILE = "InstructionFile";
  public final static String    DIMENSION  = "Dimension";
  public final static String      WIDTH  = "width";
  public final static String      HEIGHT  = "height";
  public final static String    LABYRINTH  = "Labyrinth";
  public final static String      STARTSYMBOL  = "StartSymbol";
  public final static String      DIAMONDSYMBOL  = "DiamondSymbol";
  public final static String      WAYSYMBOL  = "WaySymbol";
  public final static String      ZEROSYMBOL  = "ZeroSymbol";
  public final static String      ONESYMBOL  = "OneSymbol";
  public final static String      TWOSYMBOL  = "TwoSymbol";
  public final static String      THREESYMBOL  = "ThreeSymbol";
  public final static String      STARTDIRECTION  = "StartingDirection";
  public final static String      WALLSYMBOL  = "WallSymbol";
  public final static String      LABYRINTHFIELD  = "LabyrinthField";
  public final static String    CREATE  = "Create";
  public final static String      DIAMONDS  = "Diamonds";
  public final static String      WAYCELLS  = "WayCells";
  public final static String      MINWAYLENGHT  = "MinWayLenght";
  public final static String      MAXWAYLENGHT  = "MaxWayLenght";
  public final static String      BUILDANGLES  = "BuildAngles";
  public final static String      BUILDTREES  = "BuildTrees";
  public final static String      BUILDLOOPS  = "BuildLoops";
  public final static String      BUILDPLACES  = "BuildPlaces";
  public final static String    STYLE  = "Style";
  //public final static String      WALLPICTURE  = "WallPicture";
  //public final static String      WAYPICTURE  = "WayPicture";
  //public final static String      ROBOTPICTURE  = "RobotPicture";
  //public final static String      DIAMONDPICTURE  = "DiamondPicture";
  //public final static String      STARTPICTURE  = "StartPicture";
}


